Bug 173374 - xemacs is missing most icons, strange font with modular X
xemacs is missing most icons, strange font with modular X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 13:35 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 21.4.17-7.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 06:28:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-11-16 13:35:45 EST
Description of problem:
xemacs starts up with a large font, and most icons in the toolbar are gone.
The cursor is invisible.

Version-Release number of selected component (if applicable):
xemacs-21.4.17-4

How reproducible:
Always

Steps to Reproduce:
1. Start xemacs from xterm
2.
3.
  
Actual results:
On the xterm:
  Warning: Color name "black" is not defined 
  Warning: Color name "Blue" is not defined
  Warning: Color name "Red" is not defined
  Warning: Color name "Maroon" is not defined
  Warning: Color name "ForestGreen" is not defined
  Warning: Missing charsets in String to FontSet conversion
  Warning: Unable to load any usable fontset
In the *Warnings* buffer:
  (1) (xim-lib/warning) Can't get fontset resource for Input Method

Expected results:
Working xemacs


Additional info:
Comment 1 Ville Skyttä 2005-11-16 14:37:55 EST
Ouch, I'm afraid fixing this is going to take a while unless someone submits 
tested patches as I don't have a Rawhide box nor can I upgrade to one soon. 
 
Anyway, first, being unable to resolve the color names smells like something's 
trying to access /usr/X11R6/lib/X11/rgb.txt while it should be 
trying /usr/lib/X11/rgb.txt.  I grepped through the XEmacs source tree and it 
does seem to be doing the right thing (through fallback lists), and the error 
comes from a failing XLookupColor call in src/event-Xt.c.  Could you try this 
temporarily and see if it makes any difference? 
 
   # mkdir /usr/X11R6/lib/X11 
   # ln -s /usr/lib/X11/rgb.txt /usr/X11R6/lib/X11/ 
 
 
Comment 2 Horst H. von Brand 2005-11-16 16:57:19 EST
No change at all.
Comment 3 Horst H. von Brand 2005-11-16 16:58:39 EST
A few more comments: Fedora rawhide has modular X, this used to work yesterday
(before updating X).
Comment 4 Ville Skyttä 2005-11-16 17:21:15 EST
I've just adapted neXtaw for modular X, and it (0.15.1-7.fc5) should appear in 
the Extras devel repository in the next push.  I doubt that it'll help much if 
at all per se, but at least it could allow rebuilding XEmacs again (and it 
would be interesting to hear if _that_ changes anything). 
Comment 5 Ville Skyttä 2005-11-27 17:31:43 EST
This should be significantly improved in 21.4.17-5.fc5 (and 6.fc5 coming up
soon).  The edit area monospace font is still ugly though :(
Comment 6 Ville Skyttä 2005-11-30 14:53:30 EST
Popup dialog font is still wrong too.  See also bug 174617.
Comment 7 Ville Skyttä 2005-12-01 06:28:26 EST
Things should be fixed in 21.4.17-7.fc5.

Note You need to log in before you can comment on or make changes to this bug.